package com.ejie.ab63.model;

import java.util.Date;

/**
 * Ab6325s00  
 * 
 *  
 */

public class FactorCompensatorio implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idFactorComp;
	private Establecimiento establecimiento;
	private String descripcion;
	private String descripcionEu;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	/**
	 * Method 'Ab6325s00'.
	 */
	public FactorCompensatorio() {
	}

	/**
	 * Method 'Ab6325s00'.
	 * 
	 * @param idAseo
	 *            Integer
	 */
	public FactorCompensatorio(Integer idFactorComp) {
		this.idFactorComp = idFactorComp;
	}

	/**
	 * Method 'Ab6325s00'.
	 * 
	 * @param id_factor_comp
	 *            Integer
	 * @param descripcion
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 * @param ab6321s00
	 *            Ab6321s00
	 * @param ab6316s00
	 *            Ab6316s00
	 */
	public FactorCompensatorio(Integer idFactorComp, String descripcion, String descripcionEu,
			Establecimiento ab6301s00, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion,
			String usuarioUltmodificacion) {

		this.idFactorComp = idFactorComp;
		this.establecimiento = ab6301s00;
		this.descripcion = descripcion;
		this.descripcionEu = descripcionEu;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	public String getDescripcion() {
		return descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	@Override
	public String toString() {
		return "FactorCompensatorio [idFactorComp=" + idFactorComp + ", establecimiento=" + establecimiento
				+ ", descripcion=" + descripcion + ", fechaRegistro=" + fechaRegistro + ", usuarioRegistro="
				+ usuarioRegistro + ", fechaUltmodificacion=" + fechaUltmodificacion + ", usuarioUltmodificacion="
				+ usuarioUltmodificacion + "]";
	}

	public Date getFechaRegistro() {
		return fechaRegistro;
	}

	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	public Date getFechaUltmodificacion() {
		return fechaUltmodificacion;
	}

	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	public String getUsuarioUltmodificacion() {
		return usuarioUltmodificacion;
	}

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	public Integer getIdFactorComp() {
		return idFactorComp;
	}

	public void setIdFactorComp(Integer idFactorComp) {
		this.idFactorComp = idFactorComp;
	}

	public Establecimiento getEstablecimiento() {
		return establecimiento;
	}

	public void setEstablecimiento(Establecimiento establecimiento) {
		this.establecimiento = establecimiento;
	}

	public String getDescripcionEu() {
		return descripcionEu;
	}

	public void setDescripcionEu(String descripcionEu) {
		this.descripcionEu = descripcionEu;
	}

}
